Bug 1527296 (CVE-2018-5345) - CVE-2018-5345 gcab: Extracting malformed .cab files causes stack smashing potentially leading to arbitrary code execution
Summary: CVE-2018-5345 gcab: Extracting malformed .cab files causes stack smashing pot...
Status: CLOSED ERRATA
Alias: CVE-2018-5345
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20171219,repo...
Keywords: Security
Depends On: 1529602 1528141 1533173 1533174
Blocks: 1527298
TreeView+ depends on / blocked
 
Reported: 2017-12-19 07:02 UTC by Sam Fowler
Modified: 2018-03-19 14:29 UTC (History)
8 users (show)

Fixed In Version: gcab 1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-19 14:29:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0350 normal SHIPPED_LIVE Important: gcab security update 2018-02-27 00:10:26 UTC

Description Sam Fowler 2017-12-19 07:02:13 UTC
Versions of gcab <= 7.4 are vulnerable to a stack-based buffer overflow when extracting maliciously constructed .cab files. An attacker could potentially exploit this to execute arbitrary code.

Original bug: 
https://bugzilla.redhat.com/show_bug.cgi?id=1527062

Comment 1 Richard Hughes 2017-12-20 12:03:42 UTC
Upstream would like to make a new release before the holidays, but obviously would like to include the fix with the new tarball. Can we get some guidance on what we should do? Thanks.

Comment 2 Sam Fowler 2017-12-21 04:56:58 UTC
Created gcab tracking bugs for this issue:

Affects: fedora-all [bug 1528141]

Comment 6 Salvatore Bonaccorso 2018-01-12 07:57:56 UTC
Hi Sam Fowler, hi Richard,

Would it be possible to open up the original bug report? This has restricted access and there is no reference to either upstream commit fixing the issue or an upstream bug.

Is this bug about https://git.gnome.org/browse/gcab/commit/?id=c512f6ff0c82a1139b36db2b28f93edc01c74b4b ?

Regards,
Salvatore

Comment 11 errata-xmlrpc 2018-02-26 19:05:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0350 https://access.redhat.com/errata/RHSA-2018:0350


Note You need to log in before you can comment on or make changes to this bug.